Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.image.codec.png
Class PNGImageEncoder

    java.lang.Object
      org.apache.xmlgraphics.image.codec.util.ImageEncoderImpl
          org.apache.xmlgraphics.image.codec.png.PNGImageEncoder

All Implemented Interfaces:
  ImageEncoder

    public class PNGImageEncoder

extends ImageEncoderImpl

An ImageEncoder for the PNG file format.

Since:
  EA4

Field Summary

Fields inherited from class org.apache.xmlgraphics.image.codec.util.ImageEncoderImpl
`output`

Constructor Summary
`PNGImageEncoder(OutputStream output, PNGEncodeParam param)`

Method Summary
`void` | `encode(RenderedImage im)` This method encodes a `RenderedImage` into PNG.

Methods inherited from class org.apache.xmlgraphics.image.codec.util.ImageEncoderImpl
`encode, getOutputStream, getParam, setParam`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PNGImageEncoder

    public PNGImageEncoder(OutputStream output,
                           PNGEncodeParam param)

Method Detail

### encode

    public void encode(RenderedImage im)
                throws IOException

  This method encodes a `RenderedImage` into PNG. The stream into which the PNG is dumped is not closed at the end of the operation, this should be done if needed by the caller of this method.

  Specified by:
    `encode` in interface `ImageEncoder`
  Specified by:
    `encode` in class `ImageEncoderImpl`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.